Skip to content
Esc
↑↓navigate↵open⌘Jpreview

Create a PV plan

Early access: request API access for your workspace at https://bauhow.com/support before using this endpoint.

POST/v1/projects/{projectId}/pv-plans
Authorization
AuthorizationBearer token · headerrequired

Workspace API key (bh_…).

Path parameters
projectIdstringrequired
min length 1
Request body
requiredapplication/json
namestring
min length 1 · max length 191
originLatnumberrequired
min -90 · max 90
originLngnumberrequired
min -180 · max 180
originAddressstring | null
Show properties
Any of:
string
string
null
null
buildingIdstring | null
Show properties
Any of:
string
string
null
null
Responses
201

OK

idstringrequired
projectIdstringrequired
namestringrequired
buildingIdstring | nullrequired
Show properties
Any of:
string
string
null
null
originLatnumberrequired
originLngnumberrequired
originAddressstring | nullrequired
Show properties
Any of:
string
string
null
null
isFavoritebooleanrequired
summaryobject | nullrequired
Show properties
Any of:
object
object
null
null
createdAtstring<date-time>required
updatedAtstring<date-time>required
schemaVersionintegerrequired
min -9007199254740991 · max 9007199254740991
payloadobjectrequired
Try it
Server
Authorization
Parameters
Bodyapplication/json
Request
curl -X POST 'https://app.bauhow.com/api/v1/projects/string/pv-plans' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -d '{
  "name": "string",
  "originLat": -90,
  "originLng": -180,
  "originAddress": "string",
  "buildingId": "string"
}'
Response
{
  "id": "string",
  "projectId": "string",
  "name": "string",
  "buildingId": "string",
  "originLat": 0,
  "originLng": 0,
  "originAddress": "string",
  "isFavorite": true,
  "summary": {
    "property1": null,
    "property2": null
  },
  "createdAt": "2019-08-24T14:15:22Z",
  "updatedAt": "2019-08-24T14:15:22Z",
  "schemaVersion": -9007199254740991,
  "payload": {
    "property1": null,
    "property2": null
  }
}